Bug 1147351 - Review Request: python-modestmaps - Modest Maps python port
Summary: Review Request: python-modestmaps - Modest Maps python port
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1147356
TreeView+ depends on / blocked
 
Reported: 2014-09-29 05:42 UTC by Scott K Logan
Modified: 2014-12-20 00:16 UTC (History)
3 users (show)

Fixed In Version: python-modestmaps-1.4.6-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 04:30:56 UTC
Type: ---
jujens: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Scott K Logan 2014-09-29 05:42:49 UTC
Spec URL: https://cottsay.fedorapeople.org/python-modestmaps/python-modestmaps.spec
SRPM URL: https://cottsay.fedorapeople.org/python-modestmaps/python-modestmaps-1.4.6-1.fc21.src.rpm

Description:
Modest Maps is a small, extensible, and free library for designers and
developers who want to use interactive maps in their own projects. It provides
a core set of features in a tight, clean package with plenty of hooks for
additional functionality.

Fedora Account System Username: cottsay

Koji scratch builds:
f20: http://koji.fedoraproject.org/koji/taskinfo?taskID=7716927
f21: http://koji.fedoraproject.org/koji/taskinfo?taskID=7716932

rpmlint output:
python-modestmaps.noarch: W: no-documentation
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

Thanks,

--scott

Comment 1 Piotr Popieluch 2014-10-20 10:08:51 UTC
Unofficial review (I need a sponsor):


PASSED


I would just mark/install the files PKG-INFO VERSION as documentation %doc

and there is the SHOULD for the license file reqeust...
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 13 files have unknown license. Detailed output of
     licensecheck in /home/piotr/rpmbuild/python-modestmaps/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).

Comment 2 Julien Enselme 2014-11-27 17:29:45 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 13 files have unknown license. Detailed output of
     licensecheck in /var/tmp/1147351-python-modestmaps/licensecheck.txt
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-modestmaps-1.4.6-1.fc20.noarch.rpm
          python-modestmaps-1.4.6-1.fc20.src.rpm
python-modestmaps.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-modestmaps
python-modestmaps.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-modestmaps (rpmlib, GLIBC filtered):
    python(abi)
    python-imaging



Provides
--------
python-modestmaps:
    python-modestmaps



Source checksums
----------------
https://pypi.python.org/packages/source/M/ModestMaps/ModestMaps-1.4.6.tar.gz :
  CHECKSUM(SHA256) this package     : 4331b96c2d544c70a6eb95f745a52e9d453c3a594f159c4d24835d82530dd16f
  CHECKSUM(SHA256) upstream package : 4331b96c2d544c70a6eb95f745a52e9d453c3a594f159c4d24835d82530dd16f


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1147351
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


As Piotr pointed out, you should query upstream to include the license file in a separate file.

In your spec file, please remove the two first lines, they are not needed any more. You should also remove the CFLAGS="%{optflags}" (not needed in a noarch build).

You can remove the PKG-INFO file in %setup.

Comment 3 Julien Enselme 2014-11-27 17:33:35 UTC
python-imaging is now named python-pillow. Please fix this dependancy.

Comment 4 Scott K Logan 2014-11-28 20:35:22 UTC
Thank you both for your reviews. I'll respond to each of the issues presented:

I have requested that upstream add a license file [1].

The CFLAGS have been removed from the spec.

I don't see any reason to add a line to the spec file to remove the PKG-INFO. It doesn't get installed on the system, so unless it changes the way the package is built, I see no reason to do anything with it.

As for the python-imaging dependency as well as the first two lines of the spec (and also the presence of a "Group:" tag), I do this because I intend to submit this package to el6 and epel7 in addition to Fedora. This spec file will work on all of the following release tags: f19 f20 f21 rawhide el6 epel7. I would rather have extra logic in the spec file than have to maintain multiple copies of it. It makes updating the package significantly easier.

Thanks again,

--scott

[1] https://github.com/modestmaps/modestmaps-js/issues/81

Spec URL: https://cottsay.fedorapeople.org/python-modestmaps/python-modestmaps.spec
SRPM URL: https://cottsay.fedorapeople.org/python-modestmaps/python-modestmaps-1.4.6-2.fc20.src.rpm

Comment 5 Julien Enselme 2014-11-28 21:12:17 UTC
> I have requested that upstream add a license file [1].

Thanks.

> I don't see any reason to add a line to the spec file to remove the PKG-INFO. It doesn't get installed on the system, so unless it changes the way the package is built, I see no reason to do anything with it.

As I said you can and you are not compelled to do so.

> As for the python-imaging dependency as well as the first two lines of the spec (and also the presence of a "Group:" tag), I do this because I intend to submit this package to el6 and epel7 in addition to Fedora. This spec file will work on all of the following release tags: f19 f20 f21 rawhide el6 epel7. I would rather have extra logic in the spec file than have to maintain multiple copies of it. It makes updating the package significantly easier.

Point taken.

Approuved!

Comment 6 Scott K Logan 2014-11-28 21:18:34 UTC
Thanks much, Julien and Piotr!

Comment 7 Scott K Logan 2014-11-28 21:20:12 UTC
New Package SCM Request
=======================
Package Name: python-modestmaps
Short Description: Modest Maps python port
Upstream URL: http://modestmaps.com
Owners: cottsay
Branches: f19 f20 f21 el6 epel7
InitialCC:

Comment 8 Gwyn Ciesla 2014-12-01 13:24:00 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-12-04 09:00:34 UTC
python-modestmaps-1.4.6-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-modestmaps-1.4.6-2.el6

Comment 10 Fedora Update System 2014-12-04 09:01:43 UTC
python-modestmaps-1.4.6-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-modestmaps-1.4.6-2.el7

Comment 11 Fedora Update System 2014-12-04 09:01:50 UTC
python-modestmaps-1.4.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-modestmaps-1.4.6-2.fc19

Comment 12 Fedora Update System 2014-12-04 09:01:58 UTC
python-modestmaps-1.4.6-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-modestmaps-1.4.6-2.fc20

Comment 13 Fedora Update System 2014-12-04 09:02:08 UTC
python-modestmaps-1.4.6-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-modestmaps-1.4.6-2.fc21

Comment 14 Fedora Update System 2014-12-05 00:47:28 UTC
python-modestmaps-1.4.6-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 15 Fedora Update System 2014-12-15 04:30:56 UTC
python-modestmaps-1.4.6-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 16 Fedora Update System 2014-12-15 04:33:52 UTC
python-modestmaps-1.4.6-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 17 Fedora Update System 2014-12-15 04:36:07 UTC
python-modestmaps-1.4.6-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 18 Fedora Update System 2014-12-20 00:16:48 UTC
python-modestmaps-1.4.6-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 19 Fedora Update System 2014-12-20 00:16:54 UTC
python-modestmaps-1.4.6-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.